# class Tk::BWidget::LabelEntry

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

entrybind(context, *args) click to toggle source

def entrybind(*args)

    _bind([path, 'bind'], *args)
    self

end

    # File lib/tkextlib/bwidget/labelentry.rb, line 46
    def entrybind(context, *args)
      # if args[0].kind_of?(Proc) || args[0].kind_of?(Method)
      if TkComm._callback_entry?(args[0]) || !block_given?
        cmd = args.shift
      else
        cmd = Proc.new
      end
      _bind([path, 'bind'], context, cmd, *args)
      self
    end

entrybind_append(context, *args) click to toggle source

def #entrybind_append(*args)

    _bind_append([path, 'bind'], *args)
    self

end

    # File lib/tkextlib/bwidget/labelentry.rb, line 61
    def entrybind_append(context, *args)
      #if args[0].kind_of?(Proc) || args[0].kind_of?(Method)
      if TkComm._callback_entry?(args[0]) || !block_given?
        cmd = args.shift
      else
        cmd = Proc.new
      end
      _bind_append([path, 'bind'], context, cmd, *args)
      self
    end

entrybind_remove(*args) click to toggle source

    # File lib/tkextlib/bwidget/labelentry.rb, line 72
    def entrybind_remove(*args)
      _bind_remove([path, 'bind'], *args)
      self
    end

entrybindinfo(*args) click to toggle source

    # File lib/tkextlib/bwidget/labelentry.rb, line 77
    def entrybindinfo(*args)
      _bindinfo([path, 'bind'], *args)
      self
    end

### Private Instance Methods

__font_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/bwidget/labelentry.rb, line 37
    def __font_optkeys
      super() << 'labelfont'
    end

__strval_optkeys() click to toggle source
Calls superclass method Tk::Entry#__strval_optkeys

    # File lib/tkextlib/bwidget/labelentry.rb, line 27
    def __strval_optkeys
      super() << 'helptext' << 'insertbackground' << 'entryfg' << 'entrybg'
    end

__tkvariable_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/bwidget/labelentry.rb, line 32
    def __tkvariable_optkeys
      super() << 'helpvar'
    end